/*
  Sense_Test
 Dieses Programm dient der Kontrolle der Funktion des Sense Einganges 
 des Ardino APRS Modens und hilft bei der Einstellung des richtigen 
 Lautstärkepegels.
 Es wird dazu der Status des SenseEinganges überwacht und an der LED 
 an Pin 13 wieder ausgegeben. Ohne Signal ist der Sense Eingang des 
 Arduino (Pin D3) auf HIGH Pegel. Die LED ist dann aus. Mit Eingangs-
 signal Steuert T2 durch und zieht den Pegel auf LOW. Dann wird die 
 LED an geeschaltet. 
 Siehe: Beispiele; Digital; Buttom
 
 This example code is in the public domain.
 */

// Global area
// Pin 13 has an LED connected on most Arduino boards.
// give it a name:
const int led = 13;

// define input pin
const int SensePin = 3;     // Nummer des Eingangspins

int SenseState = 0;         // Variable zum Lesen des Zustandes des Sense Eingangs

// the setup routine runs once when you press reset:
void setup() {                
  // initialize the digital pin as an output.
  pinMode(led, OUTPUT);   
  // initialize the sense pin as an input:
  pinMode(SensePin, INPUT);
   
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  Serial.print(" Programm Sense_Test;  " );
  Serial.print(" Check input pin D3 for value and send this back to LED  " );
  Serial.print("   " );

}

// the loop routine runs over and over again forever:
void loop() {
 
  // Abfrage des Eingangspins :
  SenseState = digitalRead(SensePin);

 
  // Auswertung, Eingang HIGH:
  if (SenseState == HIGH) {
    //  LED an:
    digitalWrite(led, LOW);
  } else {
    //  LED aus:
    digitalWrite(led, HIGH);
  }
  delay(10);

}

