/*
  AnalogReadSerial / angepasst für das Projekt Arduino APRS Modem
  Funktionstest der Eingangsspannungsmessung

  Reads an analog input on pin 0, prints the result to the serial monitor.
  Graphical representation is available using serial plotter (Tools > Serial Plotter menu)
  Attach the center pin of a potentiometer to pin A0, and the outside pins to +5V and ground.

  This example code is in the public domain.
*/

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  int sensorValue = analogRead(A7);
  // calculate: 5V voltage reference of the Arduinos with 1:4 voltage divider 
  // Umrechnung: 5V Spannungsreferenz des Arduinos mit vorgeschalteten 1:4 Spannungsteler 
  // -> 20V reference with 10Bit ADC, that is 2¹⁰ as maximum
  float voltage = sensorValue * 20.0 / 1024;
  // print out the value you read:
  Serial.println(voltage);
  delay(200);        // delay in between reads for stability
}
