/*
	Copyright (C) 2013 Lukasz Nidecki SQ5RWU
	
    This file is part of ArduinoQAPRS.

    ArduinoQAPRS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    ArduinoQAPRS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with ArduinoQAPRS; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Ten plik jest częścią ArduinoQAPRS.

    ArduinoQAPRS jest wolnym oprogramowaniem; możesz go rozprowadzać dalej
    i/lub modyfikować na warunkach Powszechnej Licencji Publicznej GNU,
    wydanej przez Fundację Wolnego Oprogramowania - według wersji 2 tej
    Licencji lub (według twojego wyboru) którejś z późniejszych wersji.

    Niniejszy program rozpowszechniany jest z nadzieją, iż będzie on
    użyteczny - jednak BEZ JAKIEJKOLWIEK GWARANCJI, nawet domyślnej
    gwarancji PRZYDATNOŚCI HANDLOWEJ albo PRZYDATNOŚCI DO OKREŚLONYCH
    ZASTOSOWAŃ. W celu uzyskania bliższych informacji sięgnij do
    Powszechnej Licencji Publicznej GNU.

    Z pewnością wraz z niniejszym programem otrzymałeś też egzemplarz
    Powszechnej Licencji Publicznej GNU (GNU General Public License);
    jeśli nie - napisz do Free Software Foundation, Inc., 59 Temple
    Place, Fifth Floor, Boston, MA  02110-1301  USA

  Anpassung von Bassistest als WX Station mit BMP085/180 Sensor

 */
/**
 * @file
 * @brief Plik testowy Arduino
 */

// Pin 13 has an LED connected on most Arduino boards.
const int led = 13; 
 
#include <Arduino.h>
//#include <SPI.h>
#include <ArduinoQAPRS.h>

#include <Wire.h>
#include <Adafruit_BMP085.h>     // temperature sensor BMP085 by I2C
Adafruit_BMP085 bmp;

char * packet_buffer1  = "                                                                    \n ";
char * packet_buffer2  = "                                                                    \n ";
char * packet_buffer3  = "                                                                    \n ";

char from_addr[] = "DL1xy";      // change according to your needs
char dest_addr[] = "APRS  ";     // change according to your needs
char relays[] = "WIDE2 1";       // change according to your needs 

void setup(){

 	// inicjalizacja  5059.72N 01108.32E
	// pin 3 to sensePin [wejscie] - 1 oznacza brak mozliwosci nadawania
	// pin 2 to txPin [wyjscie] - stan wyski w momencie rozpoczecia nadawania
	QAPRS.init(3,2);

  Serial.begin(9600);            // data rate seriall communication at RX0/TX0
  Serial.println("my_QARPS_WX;  QARPS Extended for WX data over I2C Sensor");  
  
  // initialize the digital pin as an output.
  pinMode(led, OUTPUT);   
  
  if (!bmp.begin()) {
  Serial.println("Could not find a valid BMP085 sensor, check wiring!");
  while (1) {}
  } else {
  Serial.println("Found BMP085 or BMP180 sensor. ");
  }    

}

void loop() {
    String tmp_str = "" ;
    digitalWrite(led, HIGH);
  
		// nadanie paketu typu komentarz
		packet_buffer1 = ":TEST TEST TEST de DL1STL";
		QAPRS.send(from_addr, '0', dest_addr, '0', relays, packet_buffer1);
		// nadanie pakietu z pozycja i symbolem wahadlowca 
		// GPS Koordinaten hier eintragen. Einfach bei http://qprs.fi ablesen
		// Die letzten 2 Zeichen definieren das Symbol. Einfach mal googlen: 'aprs symbol'
		packet_buffer2 = "!5059.72N/01108.32ES#";
		QAPRS.send(from_addr, '0', dest_addr, '0', relays, packet_buffer2);
		// nadanie danych pogodowych bez pozycji
//    packet_buffer3 = "_07071805c025s009g008t030r000p000P000h00b10218";
    tmp_str = "_Temperature="  + String(bmp.readTemperature()) + "*C" ;

// convert string to char_array
    int str_len = tmp_str.length() + 1; 
    char char_array[str_len];
    tmp_str.toCharArray(char_array, str_len);
   
		QAPRS.send(from_addr, '0', dest_addr, '0', relays, char_array);
    Serial.print("Send:  "),Serial.println(packet_buffer1);
    Serial.print("Send:  "),Serial.println(packet_buffer2);
    Serial.print("Send:  "),Serial.println(char_array);
    Serial.println(" ");
    digitalWrite(led, LOW);

		delay(660);

//    Serial.println(String(digitalRead(3)));
    
//    digitalWrite(2, HIGH);
//    tone(11, 800, 1200);
//    delay(1200);
//    digitalWrite(2, LOW);
//    
}
